// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCTradeWrapperAPI.dll" no_namespace
// CICTCTradeAPIExEvents wrapper class

class CICTCTradeAPIExEvents : public COleDispatchDriver
{
public:
	CICTCTradeAPIExEvents(){} // Calls COleDispatchDriver default constructor
	CICTCTradeAPIExEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CICTCTradeAPIExEvents(const CICTCTradeAPIExEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// _ICTCTradeAPIExEvents methods
public:
	STDMETHOD(OnAccountUpdate)(long nType, LPCTSTR AcctMask, long nCount)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, nType, AcctMask, nCount);
		return result;
	}
	STDMETHOD(OnCommandMsg)(long nMsgType, long nMsgCode, LPCTSTR strMsgString)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_BSTR ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, nMsgType, nMsgCode, strMsgString);
		return result;
	}
	STDMETHOD(OnExecutionReport)(LPCTSTR strReportID)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x3, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strReportID);
		return result;
	}
	STDMETHOD(OnCancelReplaceError)(LPCTSTR strReportID)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x4, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strReportID);
		return result;
	}
	STDMETHOD(OnReportReset)()
	{
		HRESULT result;
		InvokeHelper(0x5, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnProductCurrencyUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x6, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnCurrencyExchangeRateUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x7, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnGeneralServiceUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x8, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnSetTopic)(LPCTSTR strTopic, long lParam, LPCTSTR strParam, VARIANT * pvParam)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_I4 VTS_BSTR VTS_PVARIANT ;
		InvokeHelper(0x9, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strTopic, lParam, strParam, pvParam);
		return result;
	}
	STDMETHOD(OnGeneralQueryReturn)(long lIndex, LPCTSTR strQueryName, VARIANT * varQueryResult)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_PVARIANT ;
		InvokeHelper(0xa, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, lIndex, strQueryName, varQueryResult);
		return result;
	}
	STDMETHOD(OnInstrumentInfoUpdate)()
	{
		HRESULT result;
		InvokeHelper(0xb, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnFilledReport)(LPCTSTR strReportID)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xc, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strReportID);
		return result;
	}
	STDMETHOD(OnExecTCReport)(LPCTSTR ReportID)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xd, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, ReportID);
		return result;
	}
	STDMETHOD(OnSignal)(LPCTSTR bstrTopic, LPCTSTR bstrContent)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR ;
		InvokeHelper(0xe, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, bstrTopic, bstrContent);
		return result;
	}
	STDMETHOD(OnBrokerInstrumentInfoUpdate)(LPCTSTR bstrBrokerAccount)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xf, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, bstrBrokerAccount);
		return result;
	}
	STDMETHOD(OnUserConfigUpdate)(LPCTSTR strQueryName, LPCTSTR strData)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR ;
		InvokeHelper(0x10, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strQueryName, strData);
		return result;
	}
	STDMETHOD(OnSymbolClassificationsUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x11, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}

	// _ICTCTradeAPIExEvents properties
public:

};
